## class OSGPRODUCER_EXPORT osgProducer::OsgSceneHandler

## Inheritance:

### Public Methods

OsgSceneHandler(osg::DisplaySettings* ds = NULL)
void setSceneView(osgUtil::SceneView* sceneView)
  set the scene view to which will manage rendering of the OSG scene
osgUtil::SceneView* getSceneView()
  get the scene view
const osgUtil::SceneView* getSceneView() const
  get the const scene view
virtual void init()
  override the init method to force it be run one at a time
virtual void clear(Producer::Camera& camera)
virtual void clearImplementation(Producer::Camera& camera)
void setClearCallback(Callback* callback)
Callback* getClearCallback()
const Callback* getClearCallback() const
virtual void cull(Producer::Camera& camera)
virtual void cullImplementation(Producer::Camera& camera)
void setCullCallback(Callback* callback)
Callback* getCullCallback()
const Callback* getCullCallback() const
virtual void draw(Producer::Camera& camera)
virtual void drawImplementation(Producer::Camera& camera)
void setDrawCallback(Callback* callback)
Callback* getDrawCallback()
const Callback* getDrawCallback() const
void setContextID( int id )

### Public Members

class Callback: public osg::Referenced

### Protected Fields

osg::ref_ptr<osgUtil::SceneView> _sceneView
osg::ref_ptr<Callback> _clearCallback
osg::ref_ptr<Callback> _cullCallback
osg::ref_ptr<Callback> _drawCallback

### Protected Methods

virtual ~OsgSceneHandler()

## Documentation

`OsgSceneHandler(osg::DisplaySettings* ds = NULL)`

`void setSceneView(osgUtil::SceneView* sceneView)`
  set the scene view to which will manage rendering of the OSG scene

`osgUtil::SceneView* getSceneView()`
  get the scene view

`const osgUtil::SceneView* getSceneView() const`
  get the const scene view

`virtual void init()`
  override the init method to force it be run one at a time

`virtual void clear(Producer::Camera& camera)`

`virtual void clearImplementation(Producer::Camera& camera)`

`void setClearCallback(Callback* callback)`

`Callback* getClearCallback()`

`const Callback* getClearCallback() const`

`virtual void cull(Producer::Camera& camera)`

`virtual void cullImplementation(Producer::Camera& camera)`

`void setCullCallback(Callback* callback)`

`Callback* getCullCallback()`

`const Callback* getCullCallback() const`

`virtual void draw(Producer::Camera& camera)`

`virtual void drawImplementation(Producer::Camera& camera)`

`void setDrawCallback(Callback* callback)`

`Callback* getDrawCallback()`

`const Callback* getDrawCallback() const`

`void setContextID( int id )`

`virtual ~OsgSceneHandler()`

`osg::ref_ptr<osgUtil::SceneView> _sceneView`

`osg::ref_ptr<Callback> _clearCallback`

`osg::ref_ptr<Callback> _cullCallback`

`osg::ref_ptr<Callback> _drawCallback`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.